Skip to main content
GET
Get a file by ID.

Authorizations

X-API-Key
string
header
required

Company API key - scoped to a specific company. Generate from the Integrations page in your dashboard.

Path Parameters

project_id
string
required
file_id
string
required

Query Parameters

companyId
string
required

Company ID

Response

File with content

Project file object

content
string

File content (if requested)

created
number

Creation timestamp

id
string

File ID

isDirectory
boolean

Whether this is a directory

isPublished
boolean

Whether file is publicly published

mimeType
string

MIME type

name
string

File name

path
string

File path

publicSlug
string

Public URL slug (if published)

publicUrl
string

Full public URL (if published)

size
integer

File size in bytes

type
string

File type/extension

updated
number

Last update timestamp